# Cash Flow

This API retrieves the cash flow statement of a company based on the provided company code (`cocode`) and report type (`reportType`), such as `S` (Single) or `C` (Consolidated). The response includes the cash flow activities for several fiscal years, categorized into operating, investing, and financing activities.

**Note:** `cocode` can be obtained from the Search Stock or Company Basic Detail API.

**Endpoint**

```
https://connects.torusdigital.com/api/v1/cashflow/{cocode}/{reportType}
```

**Request Parameter**

<table><thead><tr><th width="181">Name</th><th width="134">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>cocode</td><td>Y</td><td>The unique company code identifier.</td></tr><tr><td>reportType</td><td>Y</td><td>The type of report to retrieve. Report type (S - Single or C - Consolidated)</td></tr></tbody></table>

**Request**

{% tabs %}
{% tab title="curl" %}
{% code title="cURL" overflow="wrap" lineNumbers="true" %}

```javascript
curl -X 'GET' \
  'https://connects.torusdigital.com/api/v1/cashflow/{cocode}/{reportType}' \
  -H 'accept: application/json'
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code title="Java-Unirest" fullWidth="false" %}

```java
Unirest.setTimeouts(0, 0);
HttpResponse<String> response = Unirest.post("https://connects.torusdigital.com/api/v1/cashflow/{cocode}/{reportType}")
  .header("Content-Type", "application/json")
  .asString();
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code title="Go-Native" overflow="wrap" lineNumbers="true" fullWidth="true" %}

```go
package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"strings"
)

func main() {
	url := "https://connects.torusdigital.com/api/v1/cashflow/{cocode}/{reportType}"
	method := "GET"

	client := &http.Client{}
	req, err := http.NewRequest(method, url, nil)

	if err != nil {
		fmt.Println(err)
		return
	}
	req.Header.Add("Content-Type", "application/json")

	res, err := client.Do(req)
	if err != nil {
		fmt.Println(err)
		return
	}
	defer res.Body.Close()

	body, err := ioutil.ReadAll(res.Body)
	if err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code title="JavaScript-jQuery" overflow="wrap" lineNumbers="true" %}

```javascript
var settings = {
  "url": "https://connects.torusdigital.com/api/v1/cashflow/{cocode}/{reportType}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

```json
[
  {
    "COLUMNNAME": "Net Cash from Operating Activities",
    "YearData": {
      "Y202003": 77533,
      "Y202103": -512,
      "Y202203": 67491,
      "Y202303": 55340,
      "Y202403": 73998
    }
  },
  {
    "COLUMNNAME": "Net Cash used in Investing Activities",
    "YearData": {
      "Y202003": -143583,
      "Y202103": 74257,
      "Y202203": -45315,
      "Y202303": -8678,
      "Y202403": -38292
    }
  },
  {
    "COLUMNNAME": "Net Cash used in Financing Activities",
    "YearData": {
      "Y202003": 70767,
      "Y202103": -76657,
      "Y202203": -6035,
      "Y202303": -7369,
      "Y202403": -27465
    }
  }
]

```

**Response Parameter**

<table><thead><tr><th width="172">Parameters</th><th>Description</th></tr></thead><tbody><tr><td>COLUMNNAME</td><td>Describes the type of cash flow activity (e.g., Operating, Investing, Financing).</td></tr><tr><td>YearData</td><td>A key-value pair containing the year (<code>Yyyyy03</code>) as the key and the corresponding financial value.</td></tr><tr><td>Y20XX03</td><td>Financial data for the fiscal year ending in March 20XX.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://heytorus.gitbook.io/historical-data/cash-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
